This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 432115 - Confirming data in Networks Adapter Configuration casuses GtkWarning
Confirming data in Networks Adapter Configuration casuses GtkWarning
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhpl (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-08 16:49 EST by Michal Nowak
Modified: 2013-03-07 21:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-25 17:18:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2008-02-08 16:49:04 EST
Description of problem:

Select Ethernet device in s-c-network's Hardware tab -> Edit -> OK causes
GtkDeprecationWarning

Version-Release number of selected component (if applicable):

system-config-network-1.3.99.8-1.el5.noarch

How reproducible:
always

Steps to Reproduce:
1. see above
2.
3.
  
Actual results:
gtkwarning

Expected results:
no warning

Additional info:

/usr/lib/python2.4/site-packages/rhpl/executil.py:325: GtkDeprecationWarning:
gtk.mainiteration is deprecated, use gtk.main_iteration instead
  gtk.mainiteration()
Comment 3 RHEL Product and Program Management 2008-06-02 16:18:49 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Phil Knirsch 2008-06-13 08:46:17 EDT
This bug needs a review from the component owner before granting Devel ACK.

Thanks,

Read ya, Phil
Comment 5 Phil Knirsch 2008-06-19 11:23:49 EDT
Granting Devel ACK after review of the package maintainer

Thanks,

Read ya, Phil
Comment 7 Harald Hoyer 2008-09-17 11:03:27 EDT
$ rpm -qf /usr/lib/python2.4/site-packages/rhpl/executil.py
rhpl-0.194.1-1

not s-c-network
Comment 9 Chris Lumens 2008-09-25 17:18:55 EDT
This will definitely be fixed in the next release of RHEL, but I doubt this bug alone is critical enough to warrant bringing rhpl in as an approved component for an update release of RHEL5 so it seems unlikely to get fixed in that version.

Note You need to log in before you can comment on or make changes to this bug.